> ## Documentation Index
> Fetch the complete documentation index at: https://guide.gpt-trainer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch All Source Tags

> List all source tags for a chatbot.

### Path

<ParamField path="uuid" type="string" required>
  Chatbot uuid
</ParamField>

### Response

<ResponseField name="" type="object[]">
  Source Tag list

  <Expandable>
    <ResponseField name="uuid" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="color" type="string" />

    <ResponseField name="data_source_uuids" type="List[string]" />

    <ResponseField name="created_at" type="string" />

    <ResponseField name="modified_at" type="string" />
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Curl theme={null}
  curl --location --request GET 'https://app.gpt-trainer.com/api/v1/chatbot/{uuid}/source-tags' \
  --header 'Authorization: Bearer <token>'
  ```

  ```py Python theme={null}
  import requests

  uuid = '<chatbot-uuid>'
  url = f'https://app.gpt-trainer.com/api/v1/chatbot/{uuid}/source-tags'
  headers = {
      'Authorization': 'Bearer <token>'
  }

  response = requests.get(url, headers=headers)

  if response.status_code == 200:
      print("Request successful!")
      print(response.json())
  else:
      print("Request failed with status code:", response.status_code)
      print(response.text)
  ```

  ```ts JavaScript theme={null}
  const axios = require("axios");

  const uuid = "<chatbot-uuid>";
  const url = `https://app.gpt-trainer.com/api/v1/chatbot/${uuid}/source-tags`;
  const headers = {
    Authorization: "Bearer <token>",
  };

  axios
    .get(url, { headers })
    .then((response) => {
      console.log("Request successful!");
      console.log(response.data);
    })
    .catch((error) => {
      console.error("Request failed:", error);
    });
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  [
    {
      "color": "#088F8F",
      "created_at": "2024-09-12T00:19:12Z",
      "data_source_uuids": [],
      "modified_at": "2024-09-12T00:19:12Z",
      "name": "tag 1",
      "uuid": "d6099f4845794b4bb088b291fc3ef23a"
    },
    {
      "color": "#FFFFFF",
      "created_at": "2024-09-10T00:19:12Z",
      "data_source_uuids": [],
      "modified_at": "2024-09-10T00:19:12Z",
      "name": "tag 2",
      "uuid": "91a1bf9ab7de4327921f1ec72ec1e456"
    }
  ]
  ```
</ResponseExample>
